package com.ruoyi.system.service;

import com.ruoyi.system.domain.EpsBusiness;

import java.util.List;

/**
 * 业务信息Service接口
 * 
 * @author gyt
 * @date 2025-08-18
 */
public interface IEpsBusinessService 
{
    /**
     * 查询业务信息
     * 
     * @param id 业务信息主键
     * @return 业务信息
     */
    public EpsBusiness selectEpsBusinessById(String id);

    /**
     * 查询业务信息列表
     * 
     * @param epsBusiness 业务信息
     * @return 业务信息集合
     */
    public List<EpsBusiness> selectEpsBusinessList(EpsBusiness epsBusiness);

    /**
     * 新增业务信息
     * 
     * @param epsBusiness 业务信息
     * @return 结果
     */
    public int insertEpsBusiness(EpsBusiness epsBusiness);

    /**
     * 修改业务信息
     * 
     * @param epsBusiness 业务信息
     * @return 结果
     */
    public int updateEpsBusiness(EpsBusiness epsBusiness);

    /**
     * 批量删除业务信息
     * 
     * @param ids 需要删除的业务信息主键集合
     * @return 结果
     */
    public int deleteEpsBusinessByIds(String[] ids);

    /**
     * 删除业务信息信息
     * 
     * @param id 业务信息主键
     * @return 结果
     */
    public int deleteEpsBusinessById(String id);

    /**
     * 验证 业务名称是否存在
     * @param epsBusiness
     * @return
     */
    Integer countByBusinessName(EpsBusiness epsBusiness);
}
